Bug 114467 - Do not reuse ExclusionShapeInsideInfo in a recursive region layout
Summary: Do not reuse ExclusionShapeInsideInfo in a recursive region layout
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Bear Travis
URL:
Keywords:
Depends on:
Blocks: 89256
  Show dependency treegraph
 
Reported: 2013-04-11 15:02 PDT by CJ Gammon
Modified: 2013-04-22 15:38 PDT (History)
6 users (show)

See Also:


Attachments
example scenario crashes tab in chrome (945 bytes, application/zip)
2013-04-11 15:02 PDT, CJ Gammon
no flags Details
Initial Patch (9.87 KB, patch)
2013-04-15 14:52 PDT, Bear Travis
no flags Details | Formatted Diff | Diff
Test Cleanup (9.02 KB, patch)
2013-04-22 13:54 PDT, Bear Travis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description CJ Gammon 2013-04-11 15:02:08 PDT
Created attachment 197679 [details]
example scenario crashes tab in chrome

An element with -webkit-flow-from and -webkit-shape-inside applied to it with a floated element inside the content of the flow crashes the browser.
Comment 1 Bear Travis 2013-04-15 13:49:07 PDT
Regions with shape-inside set will currently cause errors when the content contains elements that respect the shapes boundaries and contain inline content.
Comment 2 Bear Travis 2013-04-15 14:52:14 PDT
Created attachment 198189 [details]
Initial Patch
Comment 3 Bear Travis 2013-04-22 13:54:04 PDT
Created attachment 199101 [details]
Test Cleanup
Comment 4 Dave Hyatt 2013-04-22 15:10:03 PDT
Comment on attachment 199101 [details]
Test Cleanup

r=me
Comment 5 WebKit Commit Bot 2013-04-22 15:38:08 PDT
Comment on attachment 199101 [details]
Test Cleanup

Clearing flags on attachment: 199101

Committed r148920: <http://trac.webkit.org/changeset/148920>
Comment 6 WebKit Commit Bot 2013-04-22 15:38:10 PDT
All reviewed patches have been landed.  Closing bug.